CRM Tasks
Post crmtasks
POST
/
crm
/
tasks
cURL
curl --request POST \
--url https://api.example.com/crm/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"dueDate": "<string>",
"description": "<string>",
"reminderAt": "<string>",
"assigneeId": "<string>",
"contactId": "<string>",
"dealId": "<string>",
"crmCompanyId": "<string>"
}
'import requests
url = "https://api.example.com/crm/tasks"
payload = {
"title": "<string>",
"dueDate": "<string>",
"description": "<string>",
"reminderAt": "<string>",
"assigneeId": "<string>",
"contactId": "<string>",
"dealId": "<string>",
"crmCompanyId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
dueDate: '<string>',
description: '<string>',
reminderAt: '<string>',
assigneeId: '<string>',
contactId: '<string>',
dealId: '<string>',
crmCompanyId: '<string>'
})
};
fetch('https://api.example.com/crm/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"type": "call",
"priority": "low",
"dueDate": "2023-11-07T05:31:56Z",
"completed": true,
"assigneeId": "<string>",
"companyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"reminderAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"contactId": "<string>",
"dealId": "<string>",
"crmCompanyId": "<string>",
"isOverdue": true,
"contact": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"deal": {
"id": "<string>",
"name": "<string>",
"value": 123
},
"crmCompany": {
"id": "<string>",
"name": "<string>"
},
"assignee": {
"id": "<string>",
"email": "<string>",
"givenName": "<string>",
"familyName": "<string>"
}
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Body
application/json
Maximum string length:
255Available options:
call, email, meeting, follow_up, todo Maximum string length:
10000Available options:
low, medium, high Response
Available options:
call, email, meeting, follow_up, todo Available options:
low, medium, high Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
